generator:
  class: sfDoctrineGenerator
  param:
    model_class:           Discount
    theme:                 admin
    non_verbose_templates: true
    with_show:             false
    singular:              ~
    plural:                ~
    route_prefix:          discount
    with_doctrine_route:   true
    actions_base_class:    sfActions
    order: 45

    config:
      tabs:
        0: { label: 'Скидки' }
        1: { label: 'Телефоны', url_for: 'discount_phone/index?tab=1' }
      actions: ~
      fields:
        id: {label: 'id'}
        title: {label: Название}
        utm: {label: 'UTM'}
        comment: {label: 'Комментарий'}
        url: {label: 'Ссылка', help: 'Для автоматической генерации оставьте поле пустым'}
        created_at: {label: 'Дата создания'}
        updated_at: {label: 'Дата изменения'}
        phones: {label: ''}
      list:
        layout: ~
        title: 'Скидки'
        display: [title, utm, comment, url, _phones, created_at]
        max_per_page: 100
        object_actions:
          _delete: ~
          _edit: ~
        search:
          fields: false
        export: false
      filter:
        class: false
      form: ~
      edit:
        title: Редактирование скидки
      new:
        title: Добавление скидки